<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" >
<xsl:output method="html"
            doctype-system ="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
            doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
            indent="yes"
            omit-xml-declaration="yes" />

<xsl:template match="/NewDataSet">
  <html lang="cs">
    <head>
      <title>Informace o parcele</title>
      <meta http-equiv="content-type" content="text/html; charset=utf-8"></meta>
      <meta name="author" content="ARCDATA PRAHA, podpora@arcdata.cz"></meta>
      <meta name="description" content="" lang="cs"></meta>
      <meta name="keywords" content="" lang="cs"></meta>
      <!-- description a keywords maximalne 1024 znaku -->
      <style type="text/css">
        body, td {
        font-family: Verdana, Helvetica, Arial, sans-serif;
        line-height: 140%;
        font-size: 12px;
        }
        a {
        cursor: pointer;
        text-decoration: none;
        color: #0000FF;
        }
        a:hover {
        color: #990017;
        }
        td {
        vertical-align:top;
        text-align: left;
        }
        .h1 {
        font-size: 14px;
        font-weight: bold;
        color: #000099;
        }
        .h2, .InformaceONadpis {
        font-size: 12px;
        font-weight: bold;
        color: #000099;
        }
        .h3, .InformaceO {
        font-size: 12px;
        color: #000099;
        }
        .li1 {
        margin: 6px 0px 0px 12px;
        display:list-item;
        list-style: none outside;
        }
        .li2 {
        margin: 6px 0px 0px 36px;
        display:list-item;
        list-style: disc outside;
        }
        .li3 {
        margin: 6px 0px 0px 48px;
        display:list-item;
        list-style: circle outside;
        }
        .data {
        font-weight: bold;
        }
      </style>
    </head>
  
  <body>
      <div>
        <h1>Informace o parcele</h1>
      </div>
          <xsl:apply-templates/>
      <hr/><hr/><p>Zobrazené údaje mají informativní charakter.</p>
  </body>
  </html>
</xsl:template>

<!-- InformaceOKatastralnimUzemi -->
<!-- Naštěstí je pouze [0..1] -->
<xsl:template match="child::InformaceOKatastralnimUzemi" name="InformaceOKatastralnimUzemi">
  <div class="InformaceONadpis">Informace o katastrálním území</div>
  <table border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
      <td> </td>
      <td>kraj</td>
      <td>okres</td>
      <td>obec</td>
      <td>kat. území</td>
    </tr>
    <tr>
      <td>kód</td>
      <td><span class="data"><xsl:value-of select="child::kraje.kod"/></span></td>
      <td><span class="data"><xsl:value-of select="child::okresy.kod"/></span></td>
      <td><span class="data"><xsl:value-of select="child::obce.kod"/></span></td>
      <td><span class="data"><xsl:value-of select="child::katuze.kod"/></span></td>
    </tr>
    <tr>
      <td>název</td>
      <td><span class="data"><xsl:value-of select="child::kraje.nazev"/></span></td>
      <td><span class="data"><xsl:value-of select="child::okresy.nazev"/></span></td>
      <td><span class="data"><xsl:value-of select="child::obce.nazev"/></span></td>
      <td><span class="data"><xsl:value-of select="child::katuze.nazev"/></span></td>
    </tr>
  </table>
</xsl:template>


<xsl:template match="child::CastANadpis" name="CastANadpis">
  <hr /><hr />
  <div class="InformaceONadpis">Informace o vlastnících</div>
</xsl:template>




<!-- InformaceOVlastnikovi, [0 .. n] -->
<!-- telo výpisu -->
<xsl:template match="child::InformaceOVlastnikovi" name="InformaceOVlastnikovi">
  <table border="0" cellspacing="0" cellpadding="3">
    <tr>
	  <td width="50"></td>
      <td width="350"><span class="data"><xsl:value-of select="child::opsub.cele_jmeno"/></span><br />
		  <span class="data"><xsl:value-of select="child::opsub.cela_adresa"/></span></td>
      <td width="100"><span class="data"><xsl:value-of select="child::opsub.identifikator"/></span></td>
      <td width="100"><span class="data"><xsl:value-of select="child::vla.podil"/></span></td>
    </tr>
  </table>
  <hr />
</xsl:template>
<!-- hlavička 1. -->
<xsl:template match="/NewDataSet/InformaceOVlastnikovi">
   <xsl:if test="count(/NewDataSet/InformaceOVlastnikovi) &gt; 0">
     <xsl:choose>
       <xsl:when test="self::node()=/NewDataSet/InformaceOVlastnikovi[position() = 1]">
			<table border="0" cellspacing="0" cellpadding="3">
			<tr>
				<td width="50"></td>
				<td width="350">Vlastník, jiný oprávněný</td>
				<td width="100">Identifikátor</td>
				<td width="100">Podíl</td>
			</tr>
			</table>
 		    <xsl:call-template name="InformaceOVlastnikovi" />
       </xsl:when>
       <xsl:otherwise>
         <xsl:call-template name="InformaceOVlastnikovi" />
       </xsl:otherwise>
     </xsl:choose>
   </xsl:if>
</xsl:template>

<xsl:template match="child::CastBNadpis" name="CastBNadpis">
  <hr/><hr/>
  <span class="InformaceONadpis">Informace o parcele</span>
</xsl:template>


<!-- InformaceOParcele, [0 .. n] -->
<!-- telo výpisu -->
<xsl:template match="child::InformaceOParcele" name="InformaceOParcele">
  <table border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
      <td width="200"><span class="data"><xsl:value-of select="child::par.cislo_par"/></span></td>
      <td width="200"><span class="data"><xsl:value-of select="child::par.vymera_parcely"/></span></td>
      <td width="200"><span class="data"><xsl:value-of select="child::drupoz.nazev"/></span></td>
      <td width="200"><span class="data"><xsl:value-of select="child::zpvypo.nazev"/></span></td>
      <td width="200">...</td>
    </tr>
  </table>
</xsl:template>
<!-- hlavička 1. -->
<xsl:template match="/NewDataSet/InformaceOParcele">
   <xsl:if test="count(/NewDataSet/InformaceOParcele) &gt; 0">
     <xsl:choose>
       <xsl:when test="self::node()=/NewDataSet/InformaceOParcele[position() = 1]">
			<table border="0" cellspacing="0" cellpadding="3" width="100%">
			<tr>
				<td width="200">Parcela</td>
				<td width="200">Výměra</td>
				<td width="200">Druh pozemku</td>
				<td width="200">Způsob využití</td>
				<td width="200">Způsob ochrany</td>
  			</tr>
			</table>
 		    <xsl:call-template name="InformaceOParcele" />
       </xsl:when>
       <xsl:otherwise>
         <xsl:call-template name="InformaceOParcele" />
       </xsl:otherwise>
     </xsl:choose>
   </xsl:if>
</xsl:template>

<xsl:template match="child::CastB1Nadpis" name="CastB1Nadpis">
  <hr />
  <span class="InformaceONadpis">Část B1 Jiná práva</span>
</xsl:template>


<xsl:template match="child::CastCNadpis" name="CastCNadpis">
  <hr /><hr />
  <span class="InformaceONadpis">Část C Omezení vlastnického práva</span>
</xsl:template>

<xsl:template match="child::InformaceOOmezeniVlastnickehoPrava" name="InformaceOOmezeniVlastnickehoPrava">
  <table border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
      <td width="300"><span class="data"><xsl:value-of select="child::jpv.typ_pravniho_vztahu"/></span><br />
					  <span class="data"><xsl:value-of select="child::opsub.informace_o_opravnenem_subjektu"/></span></td>
      <td width="150"><span class="data"><xsl:value-of select="child::jpv.povinnost_k"/></span></td>
      <td width="150">...</td>
    </tr>
  </table>
</xsl:template>

<!-- 1. InformaceOOmezeniVlastnickehoPrava -->
<xsl:template match="child::InformaceOOmezeniVlastnickehoPrava[position()=1]">
  <table border="0" cellspacing="0" cellpadding="3" width="100%">
	  <tr>
		<td width="300">Typ vztahu<br />Oprávnění pro</td>
		<td width="150">Povinnost k</td>
		<td width="150"><!--Nějaká divná značka--></td>
	  </tr>
	</table>

  <xsl:call-template name="InformaceOOmezeniVlastnickehoPrava" />
</xsl:template>


<xsl:template match="child::CastDNadpis" name="CastDNadpis">
  <hr /><hr />
  <span class="InformaceONadpis">Část D Jiné zápisy</span>
</xsl:template>


<xsl:template match="child::CastENadpis" name="CastENadpis">
  <hr /><hr />
  <span class="InformaceONadpis">Část E Nabývací tituly a jiné podklady k zápisu</span>
</xsl:template>

<!-- InformaceOBPEJ, , [0 .. n] -->
<!-- Nadpis -->
<xsl:template match="child::CastFNadpis" name="CastFNadpis">
  <hr /><hr />
  <span class="InformaceONadpis">Bonitní díly</span>
</xsl:template>
<!-- telo výpisu -->
<xsl:template match="child::InformaceOBPEJ" name="InformaceOBPEJ">
  <table border="0" cellspacing="0" cellpadding="3">
    <tr>
			<td width="75"></td>
      <td width="150"><span class="data"><xsl:value-of select="child::par.cislo_parcely"/></span></td>
      <td width="150"><span class="data"><xsl:value-of select="child::bdp.bpej_kod"/></span></td>
      <td width="100" style="text-align:right;"><span class="data"><xsl:value-of select="child::bdp.vymera"/></span></td>
    </tr>
  </table>
</xsl:template>

<!-- hlavička 1. -->
<xsl:template match="/NewDataSet/InformaceOBPEJ">
   <xsl:if test="count(/NewDataSet/InformaceOBPEJ) &gt; 0">
     <xsl:choose>
       <xsl:when test="self::node()=/NewDataSet/InformaceOBPEJ[position() = 1]">
			<table border="0" cellspacing="0" cellpadding="3">
			<tr>
				<td width="75"></td>
				<td width="150">Parcela</td>
				<td width="150">BPEJ</td>
				<td width="100">Výměra</td>
			</tr>
			</table>
 		    <xsl:call-template name="InformaceOBPEJ" />
       </xsl:when>
       <xsl:otherwise>
         <xsl:call-template name="InformaceOBPEJ" />
       </xsl:otherwise>
     </xsl:choose>
   </xsl:if>
</xsl:template>

<!-- 1. InformaceOOmezeniVlastnickehoPrava -->
<xsl:template match="child::InformaceOOmezeniVlastnickehoPrava[position()=1]">
    <table border="0" cellspacing="0" cellpadding="3" width="100%">
	  <tr>
		<td width="300">Typ vztahu<br />Oprávnění pro</td>
		<td width="150">Povinnost k</td>
		<td width="150">Nějaká divná značka</td>
	  </tr>
	</table>

  <xsl:call-template name="InformaceOOmezeniVlastnickehoPrava" />
</xsl:template>

<!--
<xsl:template match="child::">
  <table border="0" cellspacing="0" cellpadding="3">
    <tr>
      <td><xsl:value-of select="child::"/></td>
      <td><xsl:value-of select="child::"/></td>
      <td><xsl:value-of select="child::"/></td>
      <td><xsl:value-of select="child::"/></td>
      <td><xsl:value-of select="child::"/></td>
      <td><xsl:value-of select="child::"/></td>
    </tr>
  </table>
</xsl:template>
-->
</xsl:stylesheet>