<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
  <xsl:output method="html"
              doctype-system ="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
              doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
              indent="yes"
              omit-xml-declaration="yes" />
  
  <xsl:template match="/">
    <html lang="cs">
      <head>
        <title>Výsledky analýzy věcných břemen</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" ></meta>
        <meta name="author" content="ARCDATA PRAHA, podpora@arcdata.cz" ></meta>
        <meta name="description" content="" lang="cs" ></meta>
        <meta name="keywords" content="" lang="cs" ></meta>
        <style type="text/css">
          body, td {
            font-family: Arial, sans-serif;
            line-height: 140%;
            font-size: 12px;
          }
          table {
            border-collapse:collapse;
            border: 0px;
          }
          th, td {
            border-bottom: 1px solid black;
            padding-left: 5px;
            padding-right: 5px;
          }
          h1 {
            font-size: 14px;
            font-weight: bold;
            color: #000099;
          }
          h2 {
            font-size: 12px;
            font-weight: bold;
            color: #000099;
          }
          h3 {
            font-size: 12px;
            color: #000099;
          }
        </style>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/*">
      <h1>
        <xsl:value-of select="@label"/>
      </h1>
      <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="/*/*">
    <div>
      <h2>
        <xsl:value-of select="@label"/>
      </h2>
      <table>
        <tr>
          <xsl:for-each select="*[position() = 1]/*">
            <th>
              <xsl:value-of select="@label"/>
            </th>
          </xsl:for-each>
        </tr>
        <xsl:apply-templates/>
      </table>
    </div>
  </xsl:template>

  <xsl:template match="/*/*/*">
    <tr>
      <xsl:apply-templates/>
    </tr>
  </xsl:template>

  <xsl:template match="/*/*/*/*">
    <td>
      <xsl:value-of select="."/>
    </td>
  </xsl:template>

</xsl:stylesheet>
